# copy-webpack-output-plugin

[![npm version][npm-version-image]][npm-url]
[![npm downloads][npm-download-image]][npm-url]
[![node engine][node-engine-image]][npm-url]

[npm-version-image]: https://img.shields.io/npm/v/copy-webpack-output-plugin.svg?style=flat-square
[npm-download-image]: https://img.shields.io/npm/dm/copy-webpack-output-plugin.svg?style=flat-square
[node-engine-image]: https://img.shields.io/badge/node-%3E=10.12.0-blue.svg?style=flat-square
[npm-url]: https://www.npmjs.com/package/copy-webpack-output-plugin

A webpack plugin to copy your output files to somewhere

## Install

```bash
npm i copy-webpack-output-plugin --save-dev
```

## Usage

### Copy directory or file

```js
const CopyWebpackOutputPlugin = require('copy-webpack-output-plugin');

// copy dir
plugins: [
  new CopyWebpackOutputPlugin([{ src: '/tmp/mydir', dest: '/tmp/mynewdir' }]),
];

// copy file
plugins: [
  new CopyWebpackOutputPlugin([{ src: '/tmp/myfile', dest: '/tmp/mynewfile' }]),
];

// multiple
plugins: [
  new CopyWebpackOutputPlugin([
    { src: '/tmp/mydir', dest: '/tmp/mynewdir' },
    { src: '/tmp/myfile', dest: '/tmp/mynewfile' },
  ]),
];
```

### With options

```js
const filterFn = (src, dest) => {};

// with optioins
plugins: [
  new CopyWebpackOutputPlugin([
    { src: '/tmp/mydir', dest: '/tmp/mynewdir' },
    { filter: filterFn, overwrite: false },
  ]),
];
```

`copy-webpack-output-plugin` uses `node-fs-extra` as dependency, more about `src`, `dest` and `options`: [node-fs-extra copy](https://github.com/jprichardson/node-fs-extra/blob/HEAD/docs/copy.md)

## License

[MIT LICENSE](./LICENSE)
